package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 单号规则
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 15:12
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_NUMBER_RULE")
@Api(value="单号规则",description = "单号规则")
public class SysOrderNoRule extends BaseBean {

    @Column(name = "NAME")
    @ApiParam(value = "规则名称")
    private String name;

    @Column(name = "ORDER_NO_RULE_CODE")
    @ApiParam(value = "规则代码")
    private String orderNoRuleCode;


    @Column(name = "numberRule")
    @ApiParam(value = "单号规则")
    private String orderNoRule;

    @Column(name = "SERIAL_NO_SEED")
    @ApiParam(value = "流水号种子",example = "-1")
    private Integer serialNoSeed;

    @Column(name = "ORDER_NO_INCREMENT")
    @ApiParam(value = "流水号步长",example = "-1")
    private Integer serialNoIncrement;

    @Column(name = "SERIAL_NO_LENGTH")
    @ApiParam(value = "流水号长度",example = "-1")
    private Integer serialNoLength;

    @Column(name = "IS_CYCLE")
    @ApiParam(value = "达到最大值后是否循环",example = "1")
    private Integer isCycle;

    @Column(name = "LAST_MAKE_SERIAL_NO")
    @ApiParam(value = "上次新增流水号",example = "-1")
    private Integer lastMakeSerialNo;

    @Column(name = "LAST_MAKE_ORDER_NO")
    @ApiParam(value = "上次新增单号")
    private String lastMakeOrderNo;

    @Column(name = "LAST_MAKE_DATE")
    @ApiParam(value = "上次新增时间")
    private String lastMakeDatetime;
}
