package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.List;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="sys_user")
@Api(value="用户登陆表",description = "用户登陆系统账户。")
public class SysUser extends BaseBean {

    private static final long serialVersionUID = 1L;

    @Column(name="USER_INFO_ID")
    @ApiParam(value ="用户ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userInfoId;

    @Column(name="USER_NAME_RDD")
    @ApiParam(value ="用户名称" , access ="用户名称")
    private String userName;

    @Column(name="USER_LOGIN_NAME")
    @ApiParam(value ="登陆名称" , access ="登陆名称")
    private String userLoginName;

    @Column(name="USER_LOGIN_PASSWORD")
    @ApiParam(value ="登陆密码")
    private String userLoginPassword;

    @Column(name="ROLE_ID")
    @ApiParam(value ="角色ID" , example ="-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long roleId;

    @Column(name="ROLE_NAME_RDD")
    @ApiParam(value ="角色名称" , access ="角色名称")
    private String roleNameRdd;

    @Column(name="USER_EMAIL")
    @ApiParam(value ="邮箱" , access ="邮箱")
    private String userEmail;

    @Column(name="USER_PHONE")
    @ApiParam(value ="手机号" , access ="手机号")
    private String userPhone;

    @Column(name="USER_STATUS_ID")
    @ApiParam(value ="用户状态(枚举：1正常,2冻结使用,3账号异常,4离职，5服务到期)" , example ="-1")
    private Integer userStatus;

    @Column(name="USER_LOGIN_LAST_DATE_TIME")
    @ApiParam(value ="用户最后登录时间")
    private String userLoginLastDateTime;

    @Column(name="USER_LOGIN_NUM")
    @ApiParam(value ="登录次数",example = "0")
    private Integer userLoginNum;

    @Column(name="DEPARTMENT_ID")
    @ApiParam(value ="部门ID" , example ="-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long departmentId;

    @Column(name="DEPARTMENT_NAME_RDD")
    @ApiParam(value ="部门名称" , access ="部门名称")
    private String departmentNameRdd;

    @Column(name="USER_TYPE")
    @ApiParam(value ="用户类型（枚举，待定）" , example ="-1")
    private Integer userType;

    @ApiParam(value ="用户所有角色信息")
    private transient List<SysRole> roleList;

    @ApiParam(value ="用户所有权限信息")
    private transient List<SysMenu> menuList;
}
