package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
* @Description : 作业步骤处理组参数
* @Reference :
* @Author : dragon.xu
* @CreateDate : 2018-11-22 16:53
* @Modify:
**/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_ACTION_MODULE_PARAM")
@Api("作业步骤处理组参数")
public class WmsActionModuleParam extends BaseBean {

    @Column(name="AM_ID")
    @ApiParam("组件ID")
    public Long amID;

    @Column(name="PARAM_CODE")
    @ApiParam("参数编码")
    public String paramCode;

    @Column(name="PARAM_NAME")
    @ApiParam("参数名称")
    public String paramName;

    @Column(name="PARAM_VALUE_LIST")
    @ApiParam("参数可选值列表")
    public String paramValueList;

    @Column(name="PARAM_TYPE")
    @ApiParam(value = "参数类型", example = "0")
    public Integer paramType;
}
