package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业步骤调用
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-22 14:18
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_ACTION_STEP_CALL")
@Api("作业步骤调用信息")
public class WmsActionStepCall extends BaseBean {

    @Column(name="AS_ID")
    @ApiParam(value = "作业步骤ID",example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    public Long asId;

    @Column(name="SEQ")
    @ApiParam(value = "序号",example = "0")
    public Integer seq;

    @Column(name="AM_ID")
    @ApiParam(value = "处理组件ID",example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    public Long amId;

    @ApiParam(value = "组件名称")
    public transient String amName;

    @ApiParam(value = "组件描述")
    public transient String amDesc;
}
