package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :作业步骤调用参数表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2018-11-23 14:52
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_ACTION_STEP_CALL_PARAM")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="作业步骤调用参数表",description = "作业步骤调用参数表")
public class WmsActionStepCallParam extends BaseBean {

    @Column(name = "AGD_ID")
    @ApiParam(value = "流程明细编号")
    private Long agdId;

    @Column(name = "SEQ")
    @ApiParam(value = "序号")
    private Integer seq;

    @Column(name = "AM_ID")
    @ApiParam(value = "处理组件编号")
    private Long amId;

    @Column(name = "PARAM_CODE")
    @ApiParam(value = "参数编码")
    private String paramCode;

    @Column(name = "PARAM_VALUE")
    @ApiParam(value = "参数值")
    private String paramValue;

    @ApiParam(value = "组件名称")
    private transient String amName;

}
