package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :责任区域分配信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 17:16
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_AREA_OWNER")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="责任区域分配信息",description = "责任区域分配信息")
public class WmsAreaOwner extends BaseBean {

    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区编号")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位编号")
    private String locateNo;

    @Column(name="PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编码")
    private String vendorNo;

    @Column(name = "OWNER_USER_NO")
    @ApiParam(value = "负责人")
    private String ownerUserNo;

    @Column(name = "IS_PRE_ASSIGN")
    @ApiParam(value = "是否预分配人员")
    private Integer isPreAssign;

    @ApiParam(value = "供应商名称")
    private transient String vendorName;

    @ApiParam(value = "仓库名称")
    private transient String whName;

    @ApiParam(value = "存储区名称")
    private transient String zoneName;

    @ApiParam(value = "库位名称")
    private transient String locateName;
}
