package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 抽点比例表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-07 10:55
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_IB_CHECK_PLAN")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="抽点比例表",description = "抽点比例表")
public class WmsIbCheckPlan extends BaseBean{

    @Column(name="PART_NO")
    @ApiParam(value ="物料编码")
    private String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam(value ="物料名称")
    private String partNameRdd;

    @Column(name="START_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value ="开始日期")
    private String startDate;

    @Column(name="END_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value ="结束日期")
    private String endDate;

    @Column(name="LOT_QTY")
    @ApiParam(value ="样本数量", example = "-1")
    private Integer lotQty;

    @Column(name="COUNTER")
    @ApiParam(value ="已收货件数", example = "-1")
    private Integer counter;

    @Column(name="CHECK_COUNTER")
    @ApiParam(value ="已抽点件数", example = "-1")
    private Integer checkCounter;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value="开始日期，查询开始日期")
    public transient String startDateStart;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value="开始日期，查询开始日期")
    public transient String startDateEnd;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value="结束日期，查询结束日期")
    public transient String endDateStart;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiParam(value = "结束日期，查询结束日期")
    public transient String endDateEnd;

}
