package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存移动单主表信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_MOVE_MASTER")
@Api("库存移动单主表信息")
public class WmsMoveMaster extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    /**
     * 业务类型:RC=收货,QC=质检,IN=入库,ZI=杂收,ZO=杂发,
     * VJ=供应商退货,CJ=客户退货,WP=工单领料,WJ=工单退料,
     * MI=移库入库,MO=移库出库,SO=发运
     */
    @Column(name="ORDER_TYPE")
    @ApiParam(value = "业务类型", example = "0")
    public Integer orderType;

    /**
     * 状态:0=创建,5=待处理,10=已处理
     */
    @Column(name="ORDER_STATUS")
    @ApiParam(value = "状态", example = "0")
    public Integer orderStatus;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;
}
