package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 质检单主表信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_QC_MASTER")
@Api("质检单主表信息")
public class WmsQCMaster extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    /**
     * 业务类型:IQC=进料检验,IPQC=在线检验,
     * FQC=成品检验,OQC=出货检验
     */
    @Column(name="ORDER_TYPE")
    @ApiParam(value = "业务类型", example = "0")
    public Integer orderType;

    /**
     * 状态:0=新建,5=待处理,10=已完成,90=已关闭,91=已取消
     */
    @Column(name="ORDER_STATUS")
    @ApiParam(value = "状态", example = "0")
    public Integer orderStatus;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;

    @Column(name="CUSTOMER_NO")
    @ApiParam("客户编号")
    public String customerNo;

    @Column(name="VENDOR_NO")
    @ApiParam("供应商编号")
    public String vendorNo;

    @Column(name="VERSION")
    @ApiParam(value = "版本", example = "1")
    public Integer version;

    @Column(name="PO_NO")
    @ApiParam("采购单号")
    public String poNo;

    @Column(name="ASN_NO")
    @ApiParam("ASN单号")
    public String asnNo;

    @Column(name="IB_NO")
    @ApiParam("入库单号")
    public String ibNo;

    @ApiParam(value ="客户简称")
    private transient String custName;

    @ApiParam(value = "供应商简称")
    private transient String VendorDesc;
}
